org.apache.storm.generated

## Class TopologyHistoryInfo

- java.lang.Object
- - org.apache.storm.generated.TopologyHistoryInfo

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<TopologyHistoryInfo>, org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class TopologyHistoryInfo
      extends Object
      implements org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>, Serializable, Cloneable, Comparable<TopologyHistoryInfo>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopologyHistoryInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<TopologyHistoryInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyHistoryInfo()`
    `TopologyHistoryInfo(List<String> topo_ids)`
    `TopologyHistoryInfo(TopologyHistoryInfo other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_topo_ids(String elem)`
    `void` | `clear()`
    `int` | `compareTo(TopologyHistoryInfo other)`
    `TopologyHistoryInfo` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(TopologyHistoryInfo that)`
    `TopologyHistoryInfo._Fields` | `fieldForId(int fieldId)`
    `Iterator<String>` | `get_topo_ids_iterator()`
    `int` | `get_topo_ids_size()`
    `List<String>` | `get_topo_ids()`
    `Object` | `getFieldValue(TopologyHistoryInfo._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_topo_ids()` Returns true if field topo_ids is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(TopologyHistoryInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_topo_ids_isSet(boolean value)`
    `void` | `set_topo_ids(List<String> topo_ids)`
    `void` | `setFieldValue(TopologyHistoryInfo._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_topo_ids()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<TopologyHistoryInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TopologyHistoryInfo

          public TopologyHistoryInfo()

    - #### TopologyHistoryInfo

          public TopologyHistoryInfo(List<String> topo_ids)

    - #### TopologyHistoryInfo

          public TopologyHistoryInfo(TopologyHistoryInfo other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TopologyHistoryInfo deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### get_topo_ids_size

          public int get_topo_ids_size()

    - #### get_topo_ids_iterator

          public Iterator<String> get_topo_ids_iterator()

    - #### add_to_topo_ids

          public void add_to_topo_ids(String elem)

    - #### get_topo_ids

          public List<String> get_topo_ids()

    - #### set_topo_ids

          public void set_topo_ids(List<String> topo_ids)

    - #### unset_topo_ids

          public void unset_topo_ids()

    - #### is_set_topo_ids

          public boolean is_set_topo_ids()

      Returns true if field topo_ids is set (has been assigned a value) and false otherwise

    - #### set_topo_ids_isSet

          public void set_topo_ids_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TopologyHistoryInfo._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### getFieldValue

          public Object getFieldValue(TopologyHistoryInfo._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### isSet

          public boolean isSet(TopologyHistoryInfo._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(TopologyHistoryInfo that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(TopologyHistoryInfo other)

      Specified by:
        `compareTo` in interface `Comparable<TopologyHistoryInfo>`

    - #### fieldForId

          public TopologyHistoryInfo._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<TopologyHistoryInfo,TopologyHistoryInfo._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.